%define contentdir /var/www
%define user apache

Summary: Mailing list manager with built in web access.
Name: mailman
Version: 2.0beta5
Release: 3
Epoch: 2
Group: Applications/Internet
Source0: ftp://ftp.gnu.org/pub/gnu/mailman/mailman-%{version}.tgz
Source1: mm_cfg.py
Source2: mailman-README.REDHAT
Patch0: mailman-1.0rc1-rh.patch
Copyright: GPL
URL: http://www.list.org/
BuildRoot: %{_tmppath}/%{name}-root
Prereq: shadow-utils, /usr/bin/newaliases, /usr/bin/crontab
Requires: webserver, python >= 1.5.2, mktemp

%description 
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a web page, and allows users to subscribe,
unsubscribe, etc. over the web. Even the list manager can administer
his or her list entirely from the web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

When mailman is done installing, you will need to:
* run %{_datadir}/mailman/bin/mmsitepass
  to create the mailman administrator password
* edit /usr/share/mailman/Mailman/mm_cfg.py
  to customize mailman's configuration for your site
* set "DAEMON=yes" in /etc/sysconfig/sendmail to
  configure sendmail, and add
* add these lines:
  ScriptAlias /mailman/ /usr/share/mailman/cgi-bin/
  Alias /pipermail/ /usr/share/mailman/archives/public/
  <Directory /usr/share/mailman/archives>
    Options +FollowSymlinks
  </Directory>
  to /etc/httpd/conf/httpd.conf to configure your web server.

%prep
%setup -q
%patch0 -p1 -b .rh
cp $RPM_SOURCE_DIR/mailman-README.REDHAT README.REDHAT
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
./configure \
	--prefix=%{_datadir}/mailman \
	--with-python=/usr/bin/python \
	--with-mail-gid=mail \
	--with-cgi-id=%{user} \
	--with-cgi-gid=%{user}
cp %{SOURCE1} Mailman/mm_cfg.py.dist
make
	
%install
rm -fr $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{_datadir}/mailman

find $RPM_BUILD_ROOT%{_datadir}/mailman -name "*.pyc" -exec rm -fv '{}' ';'
python -c 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT'%{_datadir}/mailman/Mailman",10,"%{_datadir}/mailman/Mailman")'

mkdir -p $RPM_BUILD_ROOT%{contentdir}/icons
cp misc/*.jpg misc/*.png $RPM_BUILD_ROOT%{contentdir}/icons

mkdir -p $RPM_BUILD_ROOT/etc/smrsh
ln -s %{_datadir}/mailman/mail/wrapper $RPM_BUILD_ROOT/etc/smrsh/wrapper

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.%{name}

%pre
/usr/sbin/useradd -s /bin/false -c "GNU Mailing List Manager" -d %{_datadir}/mailman -M -r -u 41 mailman 2> /dev/null || :

%post
if [ ! -f /var/spool/cron/mailman ]; then
  crontab -u mailman %{_datadir}/mailman/cron/crontab.in
fi
if ! grep -q "mailman-owner" /etc/aliases 2> /dev/null ; then
  cat >> /etc/aliases << EOF
# mailman aliases
mailman: postmaster
mailman-owner: mailman
EOF
  /usr/bin/newaliases > /dev/null 2>&1 || :
fi

%postun
if [ $1 = 0 ]; then
  crontab -u mailman -r
  TMPFILE=`mktemp /etc/aliasesXXXXXX`
  egrep -E -v 'mailman aliases|mailman:|mailman-owner:' /etc/aliases >${TMPFILE}
  mv ${TMPFILE} /etc/aliases
  /usr/bin/newaliases > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS BUGS FAQ NEWS README README.LINUX TODO UPGRADING INSTALL
%doc gnu-COPYING-GPL README.REDHAT
%attr(0644,root,root) %{contentdir}/icons/*
%dir %{_datadir}/mailman
%config %{_datadir}/mailman/Mailman
%config /etc/smrsh/wrapper
%attr(2775,root,mailman) %{_datadir}/mailman/archives/
%dir %{_datadir}/mailman/bin
%attr(2755,root,mailman) %{_datadir}/mailman/bin/*
%dir %{_datadir}/mailman/cgi-bin
%attr(2755,root,mailman) %{_datadir}/mailman/cgi-bin/*
%attr(2755,root,mailman) %{_datadir}/mailman/cron/
%attr(2775,root,mailman) %{_datadir}/mailman/data/
%attr(2775,root,mailman) %{_datadir}/mailman/filters/
%attr(2775,root,mailman) %{_datadir}/mailman/lists/
%attr(2775,root,mailman) %{_datadir}/mailman/locks/
%attr(2775,root,mailman) %{_datadir}/mailman/logs/
%attr(2775,root,mailman) %{_datadir}/mailman/mail/
%attr(2775,root,mailman) %{_datadir}/mailman/qfiles/
%dir %{_datadir}/mailman/scripts/
%attr(2755,root,mailman) %{_datadir}/mailman/scripts/*
%config %{_datadir}/mailman/templates

%changelog
* Thu Aug  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add note about adding FollowSymlinks so that archives work

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the default owner root again so that root owns the docs
- update to 2.0beta5, which fixes a possible security vulnerability
- add smrsh symlink

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta4
- change uid/gid to apache.apache to match apache (#13593)
- properly recompile byte-compiled versions of the scripts (#13619)
- change mailman alias from root to postmaster

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta3
- drop bugs and arch patches (integrated into beta3)

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- move web files to reside under %{contentdir}
- move files from /usr/share to %{_datadir}
- integrate spot-fixes from mailman lists via gnome.org

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Wed May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.0beta2 to pick up security fixes.
- Change Requires: python to list >= 1.5.2

* Mon Nov  8 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.1

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- 1.0 final.

* Tue Jun 15 1999 Preston Brown <pbrown@redhat.com>
- security fix for cookies
- moved to /usr/share/mailman

* Fri May 28 1999 Preston Brown <pbrown@redhat.com>
- fix up default values.

* Fri May 07 1999 Preston Brown <pbrown@redhat.com>
- modifications to install scripts

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
